Debian Bug report logs - #399499
libpng12-dev: error: uninitialized const 'png_pass_width'

version graph

Package: libpng12-dev; Maintainer for libpng12-dev is Anibal Monsalve Salazar <anibal@debian.org>; Source for libpng12-dev is src:libpng.

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Mon, 20 Nov 2006 07:48:01 UTC

Severity: serious

Found in version libpng/1.2.13-0

Fixed in version libpng/1.2.13-4

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#399499; Package libpng12-dev. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: libpng12-dev: error: uninitialized const 'png_pass_width'
Date: Mon, 20 Nov 2006 08:46:55 +0100
Package: libpng12-dev
Version: 1.2.13-0
Severity: serious

Hi,

Several packages are failing to build with the following error:
/usr/include/png.h:477: error: uninitialized const 'png_pass_width'

I've seen this with the 1.2.13-3 version, but I assume that 1.2.13-0
has the same problems.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#399499; Package libpng12-dev. Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #10 received at 399499@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>, 399499@bugs.debian.org
Subject: Re: Bug#399499: libpng12-dev: error: uninitialized const 'png_pass_width'
Date: Mon, 20 Nov 2006 19:34:21 +1100
[Message part 1 (text/plain, inline)]
On Mon, Nov 20, 2006 at 08:46:55AM +0100, Kurt Roeckx wrote:
>Hi,
>
>Several packages are failing to build with the following error:
>/usr/include/png.h:477: error: uninitialized const 'png_pass_width'

Please name those packages so I can have a look at them.

>I've seen this with the 1.2.13-3 version, but I assume that 1.2.13-0
>has the same problems.
>
>
>Kurt

Aníbal Monsalve Salazar
-- 
http://v7w.com/anibal
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#399499; Package libpng12-dev. Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <geromanas@mailas.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #15 received at 399499@bugs.debian.org (full text, mbox):

From: Modestas Vainius <geromanas@mailas.com>
To: Aníbal Monsalve Salazar <anibal@debian.org>
Cc: Kurt Roeckx <kurt@roeckx.be>, 399499@bugs.debian.org
Subject: Re: Bug#399499: libpng12-dev: error: uninitialized const 'png_pass_width'
Date: Mon, 20 Nov 2006 12:44:40 +0200
[Message part 1 (text/plain, inline)]
Hello,

2006 m. lapkritis 20 d., pirmadienis 10:34, jūs rašėte:
> Please name those packages so I can have a look at them.
e.g. iceweasel on amd64
http://buildd.debian.org/fetch.cgi?&pkg=iceweasel&ver=2.0%2Bdfsg-1&arch=amd64&stamp=1164016893&file=log
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 399499-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 399499-close@bugs.debian.org
Subject: Bug#399499: fixed in libpng 1.2.13-4
Date: Tue, 21 Nov 2006 10:50:59 +0000
Source: libpng
Source-Version: 1.2.13-4

We believe that the bug you reported is fixed in the latest version of
libpng, which is due to be installed in the Debian FTP archive:

libpng12-0-udeb_1.2.13-4_i386.udeb
  to pool/main/libp/libpng/libpng12-0-udeb_1.2.13-4_i386.udeb
libpng12-0_1.2.13-4_i386.deb
  to pool/main/libp/libpng/libpng12-0_1.2.13-4_i386.deb
libpng12-dev_1.2.13-4_i386.deb
  to pool/main/libp/libpng/libpng12-dev_1.2.13-4_i386.deb
libpng3_1.2.13-4_all.deb
  to pool/main/libp/libpng/libpng3_1.2.13-4_all.deb
libpng_1.2.13-4.diff.gz
  to pool/main/libp/libpng/libpng_1.2.13-4.diff.gz
libpng_1.2.13-4.dsc
  to pool/main/libp/libpng/libpng_1.2.13-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 399499@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated libpng package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 21 Nov 2006 19:07:43 +1100
Source: libpng
Binary: libpng12-dev libpng12-0 libpng12-0-udeb libpng3
Architecture: source i386 all
Version: 1.2.13-4
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 libpng12-0 - PNG library - runtime
 libpng12-0-udeb - PNG library - minimal runtime library (udeb)
 libpng12-dev - PNG library - development
 libpng3    - PNG library - runtime
Closes: 399499
Changes: 
 libpng (1.2.13-4) unstable; urgency=low
 .
   * Removed drop_pass_width patch. Closes: #399499.
Files: 
 2f59b6cbf8c29e726fed988e8df7c7c1 703 libs optional libpng_1.2.13-4.dsc
 526ffd204180347c7b3ab404b53df30d 14154 libs optional libpng_1.2.13-4.diff.gz
 1fe7dc100c838a486a223d74d48d8999 185552 libs optional libpng12-0_1.2.13-4_i386.deb
 3912e2d346518b83994374d4ba5202a7 171858 libdevel optional libpng12-dev_1.2.13-4_i386.deb
 05c1c894d06345c4aba70e22bc42f7b3 880 oldlibs optional libpng3_1.2.13-4_all.deb
 cf325de57f42c2696cf08c49f609f07e 67260 debian-installer extra libpng12-0-udeb_1.2.13-4_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFFYtYPipBneRiAKDwRAhCWAKCqlrcEuzzyjv8Eh0vb5E5u+P9JmgCeL/XI
iS+bFN4scGWUepyd+SPaWVE=
=15Rd
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 09:23:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 12:01:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.